package ru.yandex.autotests.directapi.darkside.datacontainers.jsonrpc.yacotools;

import ru.yandex.autotests.irt.testutils.json.JsonUtils;

import java.util.ArrayList;
import java.util.List;

/**
 * User: xy6er
 */
public class SetCategoriesData {
    private List<Object[]> data;

    public SetCategoriesData() {
        data = new ArrayList<>();
    }

    public SetCategoriesData withCategoriesData(Long bid, Integer... categoriesIDs) {
        data.add(new Object[]{bid, categoriesIDs});
        return this;
    }

    public List<Object[]> getData() {
        return data;
    }

    @Override
    public String toString() {
        return JsonUtils.toString(data, true);
    }

}
